ข้ามไปยังเนื้อหา

Pony V7

ผสานการทำงาน

ID โมเดล pony-v7
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/pony-v7?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

คำขอนี้: $0.03 30 เครดิต API เรียกใช้ในหน้านี้

รับคีย์ API
Open model ข้อความเป็นภาพ #diffusion#style

โมเดล text-to-image ที่ปรับแต่งเพิ่มเติม พร้อมตัวเลือกแหล่งกำเนิดสัญญาณรบกวนและรูปภาพสูงสุด 2 รูปต่อคำขอ

Open model · ภาพ

ผลลัพธ์แรกของคุณจะแสดงที่นี่

สร้างคำขอด้านล่างและเรียกใช้ด้วยคีย์ API ของคุณ เอาต์พุตจะถูกคัดลอกไปยังพื้นที่จัดเก็บของเรา และเก็บไว้ตลอดไปหรือฟรี 7 วัน

สร้างคำขอ

ตัวควบคุมสร้างจากสคีมาของโมเดล โค้ดและราคาจะอัปเดตเมื่อคุณเปลี่ยนค่า

•จำเป็น

พรอมต์ที่ใช้เป็นพื้นฐานสำหรับการสร้างรูปภาพ

image_size ค่าเริ่มต้น square_hd

ขนาดของรูปภาพที่สร้างขึ้น

num_images ค่าเริ่มต้น 1

จำนวนรูปภาพที่จะสร้าง

ขั้นสูง noise_source · output_format · guidance_scale · num_inference_steps · seed · enable_safety_checker
noise_source ค่าเริ่มต้น gpu

เลือกตำแหน่งที่ใช้คำนวณนอยส์สำหรับการสร้างรูปภาพ: 'cpu' ใช้ CPU ส่วน 'gpu' ใช้ GPU

output_format ค่าเริ่มต้น jpeg

รูปแบบไฟล์ของรูปภาพผลลัพธ์

ค่าเริ่มต้น 3.5

สเกลสำหรับ classifier-free guidance

ค่าเริ่มต้น 40

จำนวนขั้นตอนการอนุมานที่จะดำเนินการ

ค่า seed ที่ใช้ระหว่างการสร้างรูปภาพ

POST /run/pony-v7?wait=20 ใบเสนอราคา → $0.03
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/pony-v7?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

เรียกใช้คำขอนี้

คีย์ของคุณจะอยู่ในเบราว์เซอร์นี้ โดยส่งไปยัง Doitong API เท่านั้น และจะบันทึกใน localStorage ก็ต่อเมื่อคุณเลือกจดจำ รับคีย์ API

เกี่ยวกับ Pony V7

สร้างภาพจาก `prompt` ที่จำเป็น `num_images` จำกัดไว้ที่ 1 หรือ 2, `num_inference_steps` อยู่ในช่วง 20 ถึง 50 (ค่าเริ่มต้น 40) และ `guidance_scale` อยู่ในช่วง 0 ถึง 20 คุณสามารถเลือก `noise_source` เป็น gpu หรือ cpu เลือกพรีเซ็ต `image_size` หนึ่งจาก 6 ค่า ตั้งค่า `seed` และส่งออกเป็น jpeg หรือ png ได้

พารามิเตอร์

ส่งชื่อมาตรฐานหรือชื่อดั้งเดิมอย่างใดอย่างหนึ่งเท่านั้น ห้ามส่งทั้งสองชื่อ ชื่อมาตรฐาน

ชื่อประเภท ค่าเริ่มต้นค่าที่อนุญาต คำอธิบาย
promptจำเป็น
ประเภทstring
พรอมต์ที่ใช้เป็นพื้นฐานสำหรับการสร้างรูปภาพ
image_sizeไม่บังคับ
ประเภทobject
ค่าเริ่มต้นsquare_hd
square_hdsquareportrait_4_3portrait_16_9landscape_4_3landscape_16_9
ขนาดของรูปภาพที่สร้างขึ้น
num_imagesไม่บังคับ num_outputs
ประเภทinteger
ค่าเริ่มต้น1
1 – 2
จำนวนรูปภาพที่จะสร้าง
seedไม่บังคับ
ประเภทinteger | null
ค่า seed ที่ใช้ระหว่างการสร้างรูปภาพ
guidance_scaleไม่บังคับ
ประเภทnumber
ค่าเริ่มต้น3.5
0 – 20
สเกลสำหรับ classifier-free guidance
num_inference_stepsไม่บังคับ
ประเภทinteger
ค่าเริ่มต้น40
20 – 50
จำนวนขั้นตอนการอนุมานที่จะดำเนินการ
noise_sourceไม่บังคับ
ประเภทenum
ค่าเริ่มต้นgpu
gpucpu
เลือกตำแหน่งที่ใช้คำนวณนอยส์สำหรับการสร้างรูปภาพ: 'cpu' ใช้ CPU ส่วน 'gpu' ใช้ GPU
enable_safety_checkerไม่บังคับ
ประเภทboolean
ค่าเริ่มต้นfalse
สวิตช์ตรวจสอบความปลอดภัย ซึ่งการตั้งค่าเป็นปิดต้องได้รับอนุญาตจากบัญชี หากไม่มีการอนุญาตดังกล่าว ทุกคำขอจะได้รับการตรวจสอบโดยไม่คำนึงถึงการตั้งค่า; true จะเปิดใช้ตัวตรวจสอบ
output_formatไม่บังคับ
ประเภทenum
ค่าเริ่มต้นjpeg
jpegpng
รูปแบบไฟล์ของรูปภาพผลลัพธ์
จำเป็น ชื่อมาตรฐาน ซึ่งรองรับเช่นกัน

เอาต์พุต

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "pony-v7",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 30,
    "usd": "0.03",
    "charged": 30,
    "refunded": 0
  },
  "input": {
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  },
  "output": {
    "images": [
      {
        "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
        "content_type": "image/jpeg",
        "file_name": "0-output.jpeg",
        "file_size": 1843200,
        "width": 1024,
        "height": 768
      }
    ],
    "timings": {},
    "seed": 42,
    "has_nsfw_concepts": [
      false
    ],
    "prompt": "string"
  },
  "outputs": [
    {
      "type": "image",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_size": 1843200,
      "width": 1024,
      "height": 768,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
ไฟล์ของคุณ คุณเลือกเองทุก outputs[].url คือสำเนาบนพื้นที่จัดเก็บของเรา: เก็บไว้ตลอดไป (คิดค่าบริการต่อ GB-เดือน) หรือฟรี 7 วัน โดยกำหนดได้ในการตั้งค่าบัญชีหรือ ?storage=
รูปแบบเดียวกันในทุกโมเดลtype, url, content_type, width, height และ duration สำหรับภาพ วิดีโอ และเสียงเหมือนกันทั้งหมด ส่วน output คือออบเจ็กต์ผลลัพธ์ของโมเดลเอง
ฟิลด์ของเอาต์พุต
images
array of object {url, content_type, file_name, file_size, width, height}รูปภาพที่โมเดลสร้าง
timings
object
seed
integerseed สำหรับการสร้างรูปภาพ รวมถึงค่าที่สุ่มเลือกหากอินพุตไม่ได้ระบุ seed มิฉะนั้นจะใช้ค่าที่ระบุซ้ำ
has_nsfw_concepts
array of booleanระบุว่ามีแนวคิด NSFW ปรากฏในรูปภาพที่สร้างหรือไม่
prompt
stringพรอมต์ที่ใช้ระหว่างการสร้างรูปภาพ

สำหรับเอเจนต์ AI: หน้า Markdown นี้อยู่ที่ https://doitong.com/th/developers/models/pony-v7.md. โมเดลและคู่มือทั้งหมด: https://doitong.com/developers/llms.txt